GETPID(2)

NAME
getpid, getppid - get process identification

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>

pid_t getpid(void);
pid_t getppid(void);

DESCRIPTION
getpid() returns the process ID of the current process. (This is often used by routines that generate unique temporary filenames.) getppid() returns the process ID of the parent of the current process.

ERRORS
These functions are always successful.

CONFORMING TO
POSIX.1-2001, 4.3BSD, SVr4

SEE ALSO
fork(2), kill(2), exec(3), mkstemp(3), tempnam(3), tmpfile(3), tmpnam(3), credentials(7)

COLOPHON
This page is part of release 2.72 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.